Update Memory Settings#
Update caller memory settings for an AI agent..
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
memory_enabledbooleanbodyrequired
Request field
memory_instructionsstringbody
may be null
memory_retention_daysintegerbody
One of: 0. min 0. may be null
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/memory/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"memory_enabled":true,"memory_instructions":"value","memory_retention_days":1}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records